NX Open C++ Reference Guide
|
This class finds and fills holes to a prescribed boundary smoothness condition <br> To create a new instance of this class, use @link Facet::FacetedBodyCollection::CreateFillHoleBuilder Facet::FacetedBodyCollection::CreateFillHoleBuilder @endlink <br>
Default values. More...
Public Types | |
enum | SmoothTypes { SmoothTypesLinear, SmoothTypesRefined, SmoothTypesTangentBased, SmoothTypesCurvatureBased } |
Smoothness and boundary continuity options. More... | |
enum | TargetTypes { TargetTypesUserDefined, TargetTypesByNumberOfEdges } |
Options defining how to target holes for filling. More... | |
enum | Types { TypesFillHole, TypesFillIsland, TypesBridgeGap } |
Hole filling type options. More... | |
Public Member Functions | |
NXOpen::SelectICurveList * | BridgeEdges1 () |
Returns the first list of edges when bridging holes. | |
NXOpen::SelectICurveList * | BridgeEdges2 () |
Returns the second list of edges when bridging holes. | |
void | ClearHoleFills () |
Cleans up local meshes associated with each fill. | |
void | ClearHoles () |
Removes all holes, deletes associated hole polylines. | |
NXOpen::DisplayableObject * | FillHoles (bool globalUpdate) |
Fills targeted holes. | |
void | FindHoles () |
Locates holes in the mesh and creates polylines around them. | |
void | GetAllHoles (std::vector< NXOpen::DisplayableObject * > &holeCurveTags) |
Gets a list of all holes (represented by polylines). | |
NXOpen::ICurve * | GetHoleByIndex (int index) |
Gets a hole given an index into the list of holes. | |
NXOpen::DisplayableObject * | GetHoleFillsOnly () |
Builds a facet body that contains only the facets of the filled holes. | |
int | GetNumberOfHoles () |
Gets the number of holes in the target facet body. | |
void | GetTargetHolesByEdgeNumber (int numMaxEdges, std::vector< NXOpen::DisplayableObject * > &holeCurveTags) |
Gets a list of targeted holes (represented by polylines) based on number of edges. | |
NXOpen::SelectICurveList * | InnerHole () |
Returns the Inner Hole in island filling. | |
int | MaxEdges () |
Returns the maximum number of edges that a targeted hole can have. | |
NXOpen::SelectICurveList * | OuterHole () |
Returns the Outer Hole in island filling. | |
void | SetMaxEdges (int maxEdges) |
Sets the maximum number of edges that a targeted hole can have. | |
void | SetSmoothType (NXOpen::Facet::FillHoleBuilder::SmoothTypes smoothType) |
Sets the boundary smoothness. | |
void | SetTargetType (NXOpen::Facet::FillHoleBuilder::TargetTypes targetType) |
Sets the hole target type when filling holes. | |
void | SetType (NXOpen::Facet::FillHoleBuilder::Types type) |
Sets the hole filling type. | |
NXOpen::Facet::FillHoleBuilder::SmoothTypes | SmoothType () |
Returns the boundary smoothness. | |
void | SwitchHoleFillType () |
Switches boundary edge mapping based on the filling type (holes, island, bridge) When filling holes or islands, each hole is defined by a polyline. | |
NXOpen::Facet::SelectFacetedBody * | TargetFacetBody () |
Returns the facet body we will be filling. | |
NXOpen::SelectICurveList * | TargetHole () |
Returns the hole curves using Fill Hole, User Defined. | |
NXOpen::Facet::FillHoleBuilder::TargetTypes | TargetType () |
Returns the hole target type when filling holes. | |
NXOpen::Facet::FillHoleBuilder::Types | Type () |
Returns the hole filling type. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
This class finds and fills holes to a prescribed boundary smoothness condition <br> To create a new instance of this class, use @link Facet::FacetedBodyCollection::CreateFillHoleBuilder Facet::FacetedBodyCollection::CreateFillHoleBuilder @endlink <br>
Default values.
Property | Value |
---|---|
MaxEdges |
0 |
SmoothType |
Linear |
TargetType |
UserDefined |
Created in NX6.0.0.
Smoothness and boundary continuity options.
Options defining how to target holes for filling.
NXOpen::SelectICurveList* NXOpen::Facet::FillHoleBuilder::BridgeEdges1 | ( | ) |
Returns the first list of edges when bridging holes.
Created in NX6.0.0.
License requirements : None
NXOpen::SelectICurveList* NXOpen::Facet::FillHoleBuilder::BridgeEdges2 | ( | ) |
Returns the second list of edges when bridging holes.
Created in NX6.0.0.
License requirements : None
void NXOpen::Facet::FillHoleBuilder::ClearHoleFills | ( | ) |
Cleans up local meshes associated with each fill.
Created in NX6.0.0.
License requirements : None
void NXOpen::Facet::FillHoleBuilder::ClearHoles | ( | ) |
Removes all holes, deletes associated hole polylines.
Created in NX6.0.0.
License requirements : None
NXOpen::DisplayableObject* NXOpen::Facet::FillHoleBuilder::FillHoles | ( | bool | globalUpdate | ) |
Fills targeted holes.
globalUpdate | If true, update the entire input facet body. If false, GetHoleFillsOnly() may be used to get a facet body that contains only the new facets of the filled holes. |
void NXOpen::Facet::FillHoleBuilder::FindHoles | ( | ) |
Locates holes in the mesh and creates polylines around them.
Created in NX6.0.0.
License requirements : None
void NXOpen::Facet::FillHoleBuilder::GetAllHoles | ( | std::vector< NXOpen::DisplayableObject * > & | holeCurveTags | ) |
Gets a list of all holes (represented by polylines).
Created in NX6.0.0.
License requirements : None
holeCurveTags | Hole polylines. |
NXOpen::ICurve* NXOpen::Facet::FillHoleBuilder::GetHoleByIndex | ( | int | index | ) |
Gets a hole given an index into the list of holes.
index | Index into the list of all holes |
NXOpen::DisplayableObject* NXOpen::Facet::FillHoleBuilder::GetHoleFillsOnly | ( | ) |
Builds a facet body that contains only the facets of the filled holes.
int NXOpen::Facet::FillHoleBuilder::GetNumberOfHoles | ( | ) |
Gets the number of holes in the target facet body.
void NXOpen::Facet::FillHoleBuilder::GetTargetHolesByEdgeNumber | ( | int | numMaxEdges, |
std::vector< NXOpen::DisplayableObject * > & | holeCurveTags | ||
) |
Gets a list of targeted holes (represented by polylines) based on number of edges.
Created in NX6.0.0.
License requirements : None
numMaxEdges | Targets polylines that have this many edges or less. |
holeCurveTags | Hole polylines. |
NXOpen::SelectICurveList* NXOpen::Facet::FillHoleBuilder::InnerHole | ( | ) |
Returns the Inner Hole in island filling.
Created in NX6.0.0.
License requirements : None
int NXOpen::Facet::FillHoleBuilder::MaxEdges | ( | ) |
Returns the maximum number of edges that a targeted hole can have.
Created in NX6.0.0.
License requirements : None
NXOpen::SelectICurveList* NXOpen::Facet::FillHoleBuilder::OuterHole | ( | ) |
Returns the Outer Hole in island filling.
Created in NX6.0.0.
License requirements : None
void NXOpen::Facet::FillHoleBuilder::SetMaxEdges | ( | int | maxEdges | ) |
Sets the maximum number of edges that a targeted hole can have.
Created in NX6.0.0.
License requirements : None
maxEdges | max edges |
void NXOpen::Facet::FillHoleBuilder::SetSmoothType | ( | NXOpen::Facet::FillHoleBuilder::SmoothTypes | smoothType | ) |
Sets the boundary smoothness.
Created in NX6.0.0.
License requirements : None
smoothType | smooth type |
void NXOpen::Facet::FillHoleBuilder::SetTargetType | ( | NXOpen::Facet::FillHoleBuilder::TargetTypes | targetType | ) |
Sets the hole target type when filling holes.
Created in NX6.0.0.
License requirements : None
targetType | target type |
void NXOpen::Facet::FillHoleBuilder::SetType | ( | NXOpen::Facet::FillHoleBuilder::Types | type | ) |
Sets the hole filling type.
Created in NX6.0.0.
License requirements : None
type | type |
NXOpen::Facet::FillHoleBuilder::SmoothTypes NXOpen::Facet::FillHoleBuilder::SmoothType | ( | ) |
Returns the boundary smoothness.
Created in NX6.0.0.
License requirements : None
void NXOpen::Facet::FillHoleBuilder::SwitchHoleFillType | ( | ) |
Switches boundary edge mapping based on the filling type (holes, island, bridge) When filling holes or islands, each hole is defined by a polyline.
When bridging holes, each individual open edge has its own polyline.
Created in NX6.0.0.
License requirements : None
NXOpen::Facet::SelectFacetedBody* NXOpen::Facet::FillHoleBuilder::TargetFacetBody | ( | ) |
Returns the facet body we will be filling.
Created in NX6.0.0.
License requirements : None
NXOpen::SelectICurveList* NXOpen::Facet::FillHoleBuilder::TargetHole | ( | ) |
Returns the hole curves using Fill Hole, User Defined.
Created in NX6.0.0.
License requirements : None
NXOpen::Facet::FillHoleBuilder::TargetTypes NXOpen::Facet::FillHoleBuilder::TargetType | ( | ) |
Returns the hole target type when filling holes.
Created in NX6.0.0.
License requirements : None
NXOpen::Facet::FillHoleBuilder::Types NXOpen::Facet::FillHoleBuilder::Type | ( | ) |
Returns the hole filling type.
Created in NX6.0.0.
License requirements : None